Loading...
Searching...
No Matches
year.h File Reference

Go to the source code of this file.

## Classes

class | etl::chrono::year
| year More...

## Namespaces

namespace | etl

## Functions

ETL_CONSTEXPR14 bool | etl::chrono::operator== (const etl::chrono::year &y1, const etl::chrono::year &y2) ETL_NOEXCEPT
| Equality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator!= (const etl::chrono::year &y1, const etl::chrono::year &y2) ETL_NOEXCEPT
| Inequality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator< (const etl::chrono::year &y1, const etl::chrono::year &y2) ETL_NOEXCEPT
| Less-than operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator<= (const etl::chrono::year &y1, const etl::chrono::year &y2) ETL_NOEXCEPT
| Less-than-or-equal operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator> (const etl::chrono::year &y1, const etl::chrono::year &y2) ETL_NOEXCEPT
| Greater-than operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator>= (const etl::chrono::year &y1, const etl::chrono::year &y2) ETL_NOEXCEPT
| Greater-than-or-equal operator.
ETL_CONSTEXPR14 etl::chrono::year | etl::chrono::operator+ (const etl::chrono::year &y, const etl::chrono::years &ys) ETL_NOEXCEPT
| Spaceship operator.
ETL_CONSTEXPR14 etl::chrono::year | etl::chrono::operator+ (const etl::chrono::years &ys, const etl::chrono::year &y) ETL_NOEXCEPT
ETL_CONSTEXPR14 etl::chrono::year | etl::chrono::operator- (const etl::chrono::year &y, const etl::chrono::years &ys) ETL_NOEXCEPT
ETL_CONSTEXPR14 etl::chrono::years | etl::chrono::operator- (const etl::chrono::year &y1, const etl::chrono::year &y2) ETL_NOEXCEPT

## Function Documentation

## operator+() [1/2]

ETL_CONSTEXPR14 etl::chrono::year etl::chrono::operator+ | ( | const etl::chrono::year & | y,
|  | const etl::chrono::years & | ys )

inline

Spaceship operator.

Add etl::chrono::years to etl::chrono::year

Returns
  etl::chrono::year

## operator+() [2/2]

ETL_CONSTEXPR14 etl::chrono::year etl::chrono::operator+ | ( | const etl::chrono::years & | ys,
|  | const etl::chrono::year & | y )

inline

Add etl::chrono::year to etl::chrono::years

Returns
  etl::chrono::year

## operator-() [1/2]

ETL_CONSTEXPR14 etl::chrono::year etl::chrono::operator- | ( | const etl::chrono::year & | y,
|  | const etl::chrono::years & | ys )

inline

Subtract etl::chrono::years from etl::chrono::year

Returns
  etl::chrono::year

## operator-() [2/2]

ETL_CONSTEXPR14 etl::chrono::years etl::chrono::operator- | ( | const etl::chrono::year & | y1,
|  | const etl::chrono::year & | y2 )

inline

Subtract etl::chrono::year from etl::chrono::year

Returns
  etl::chrono::years